// This file is part of the brownmove simulation package
// 
// V1.2  Apr. 2011
// 
// (C) 2003 - 2011 Tihamer Geyer
// tihamer.geyer@bioinformatik.uni-saarland.de
// 
// Check for Updates at the Project Homepage 
// http://service.bioinformatik.uni-saarland.de/brownmove



#include <math.h>

#include "erfcc.h"

namespace brown {
	
	//!	Complementary Error function according to NumRec, Ch 6.2
	//!	Returns the complementary error function erfc(x) 
	//!	with fractional error everywhere less than 1e-7.
	double erfcc(double x) 
	{
		double t,z,ans;
		
		z=fabs(x);
		t=1.0/(1.0+0.5*z);
		
		ans = t*exp(-z*z-1.26551223+t*(1.00002368+t*(0.37409196+t*(0.09678418+
					t*(-0.18628806+t*(0.27886807+t*(-1.13520398+t*(1.48851587+
					t*(-0.82215223+t*0.17087277)))))))));

			return ((x >= 0.0) ? ans : (2.0-ans));
	}
}
